<template>
  <div class="app-container">
    <el-row :gutter="10" class="mb8">
        <h3>肖洁提交的领料申请</h3>
        <div>领料单号：L20231122-001</div>
    </el-row>
    <el-row :gutter="24" class="mb8">
      <el-col :span="18">
        <el-form :model="queryParams" ref="queryForm" size="small" :inline="true" v-show="showSearch" label-width="80px">
          <el-form-item label="领料工程" prop="dictName">
            <el-input
              v-model="queryParams.dictName"
              placeholder="请输入领料工程"
              clearable
              style="width: 240px"
              @keyup.enter.native="handleQuery"
            />
          </el-form-item>
          <el-form-item label="领料人" prop="dictName">
            <el-input
              v-model="queryParams.dictName"
              placeholder="请输入领料人"
              clearable
              style="width: 240px"
              @keyup.enter.native="handleQuery"
            />
          </el-form-item>
          <el-form-item label="联系电话" prop="dictName">
            <el-input
              v-model="queryParams.dictName"
              placeholder="请输入联系电话"
              clearable
              style="width: 240px"
              @keyup.enter.native="handleQuery"
            />
          </el-form-item>
        </el-form>
        <el-table v-loading="loading" :data="typeList" @selection-change="handleSelectionChange">
          <el-table-column type="selection" width="55" align="center" />
          <el-table-column label="序号" align="center" prop="dictId" />
          <el-table-column label="类型名称" align="center" prop="dictName" :show-overflow-tooltip="true" />
          <el-table-column label="规格型号" align="center" prop="dictName" :show-overflow-tooltip="true" />
          <el-table-column label="计量单位" align="center" prop="dictName" :show-overflow-tooltip="true" />
          <el-table-column label="当前库存" align="center" prop="dictName" :show-overflow-tooltip="true" />
          <el-table-column label="预览数量" align="center" prop="dictName" :show-overflow-tooltip="true" />
          <el-table-column label="出库数量" align="center" prop="dictName" :show-overflow-tooltip="true" />
          <el-table-column label="申请人" align="center" prop="dictName" :show-overflow-tooltip="true" />
          <el-table-column label="申请时间" align="center" prop="dictName" :show-overflow-tooltip="true" />
          <el-table-column label="任务状态" align="center" prop="dictName" :show-overflow-tooltip="true" />
          <!--      <el-table-column label="审批结果 " align="center" prop="dictName" :show-overflow-tooltip="true" />-->
          <el-table-column label="备注" align="center" prop="dictName" :show-overflow-tooltip="true" />
<!--          <el-table-column label="操作" align="center" class-name="small-padding fixed-width">-->
<!--            <template slot-scope="scope">-->
<!--              <el-button-->
<!--                size="mini"-->
<!--                type="text"-->
<!--                icon="el-icon-edit"-->
<!--                @click="handleUpdate(scope.row)"-->
<!--                v-hasPermi="['store:labelType:edit']"-->
<!--              >编辑</el-button>-->
<!--              <el-button-->
<!--                size="mini"-->
<!--                type="text"-->
<!--                icon="el-icon-delete"-->
<!--                @click="handleDelete(scope.row)"-->
<!--                v-hasPermi="['store:labelType:remove']"-->
<!--              >删除</el-button>-->
<!--            </template>-->
<!--          </el-table-column>-->
        </el-table>

        <pagination
          v-show="total>0"
          :total="total"
          :page.sync="queryParams.pageNum"
          :limit.sync="queryParams.pageSize"
          @pagination="getList"
        />
      </el-col>

      <el-col :span="6">
<!--        <el-timeline size="large">-->
<!--          <el-timeline-item-->
<!--            v-for="(activity, index) in activities"-->
<!--            :key="index"-->
<!--            :timestamp="activity.timestamp">-->
<!--            {{activity.content}}-->
<!--          </el-timeline-item>-->
<!--        </el-timeline>-->
        <el-timeline>
          <el-timeline-item timestamp="2018/4/12" placement="top">
            <el-card>
              <h4>提交审批</h4>
              <p>肖洁 提交于 2018/4/12 20:46</p>
            </el-card>
          </el-timeline-item>
          <el-timeline-item timestamp="2018/4/3" placement="top">
            <el-card>
              <h4>公司审批</h4>
              <p>肖洁 提交于 2018/4/3 20:46</p>
            </el-card>
          </el-timeline-item>
          <el-timeline-item timestamp="2018/4/2" placement="top">
            <el-card>
              <h4>部门审批</h4>
              <p>肖洁 提交于 2018/4/2 20:46</p>
            </el-card>
          </el-timeline-item>
        </el-timeline>
      </el-col>
    </el-row>


    <div slot="footer" class="dialog-footer" style="text-align: right;margin-right: 200px;">
      <el-button type="primary" >同意</el-button>
      <el-button >拒绝</el-button>
    </div>

  </div>
</template>

<script>
import { listUser, getUser, delUser, addUser, updateUser, resetUserPwd, changeUserStatus, deptTreeSelect } from "@/api/system/user";
import { listType, getType, delType, addType, updateType, refreshCache } from "@/api/system/dict/type";

export default {
  name: "Dict",
  dicts: ['sys_normal_disable'],
  data() {
    return {
      // 遮罩层
      loading: true,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // 字典表格数据
      typeList: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 日期范围
      dateRange: [],
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        dictName: undefined,
        dictType: undefined,
        status: undefined
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {
        dictName: [
          { required: true, message: "字典名称不能为空", trigger: "blur" }
        ],
        dictType: [
          { required: true, message: "字典类型不能为空", trigger: "blur" }
        ]
      },
      peopleOpen:false,
      noticeOpen:false,
      nform:{
        notice:''
      },
      nrules: {
        notice: [
          { required: true, message: "通知内容不能为空", trigger: "blur" }
        ]
      },
      deptName: undefined,
      activities: [{
        content: '小洁发起申请',
        timestamp: '2018-04-15'
      }, {
        content: '分公司审批',
        timestamp: '2018-04-13'
      }, {
        content: '部门审批',
        timestamp: '2018-04-11'
      }]
    };
  },
  created() {
    this.getList();
  },
  methods: {
    /** 查询字典类型列表 */
    getList() {
      this.loading = true;
      listType(this.addDateRange(this.queryParams, this.dateRange)).then(response => {
          this.typeList = response.rows;
          this.total = response.total;
          this.loading = false;
        }
      );
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        dictId: undefined,
        dictName: undefined,
        dictType: undefined,
        status: "0",
        remark: undefined
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.dateRange = [];
      this.resetForm("queryForm");
      this.handleQuery();
    },
    handleNotice(){
      this.noticeOpen = true;
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.title = "添加字典类型";
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map(item => item.dictId)
      this.single = selection.length!=1
      this.multiple = !selection.length
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      const dictId = row.dictId || this.ids
      getType(dictId).then(response => {
        this.form = response.data;
        this.open = true;
        this.title = "验收";
      });
    },
    /** 提交按钮 */
    submitForm: function() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.dictId != undefined) {
            updateType(this.form).then(response => {
              this.$modal.msgSuccess("修改成功");
              this.open = false;
              this.getList();
            });
          } else {
            addType(this.form).then(response => {
              this.$modal.msgSuccess("新增成功");
              this.open = false;
              this.getList();
            });
          }
        }
      });
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const dictIds = row.dictId || this.ids;
      this.$modal.confirm('是否确认删除该数据项？').then(function() {
        return delType(dictIds);
      }).then(() => {
        this.getList();
        this.$modal.msgSuccess("删除成功");
      }).catch(() => {});
    },
    /** 导出按钮操作 */
    handleExport() {
      this.download('system/dict/type/export', {
        ...this.queryParams
      }, `type_${new Date().getTime()}.xlsx`)
    },
    /** 刷新缓存按钮操作 */
    handleRefreshCache() {
      refreshCache().then(() => {
        this.$modal.msgSuccess("刷新成功");
        this.$store.dispatch('dict/cleanDict');
      });
    }
  }
};
</script>
